"""Exception exercises"""


def len_or_none():
    """Return length of object or ``None`` if object has no length."""


def deep_add():
    """Return sum of values in given iterable, iterating deeply."""


def deep_flatten():
    """Return flattened version of given iterable of iterables."""
